{% extends 'base.html' %}

{% block title %}todo_form.html{% endblock %}

{% block extra-style %}
<style>
    body {
        text-align: center;
        background-color: #ddd;
    }
    .inputBox {
        margin: auto;
        width: 70%;
        background: white;
        height: 50px;
        border-radius: 50px;
        line-height: 50px;
    }
    .inputBox .name {
        border-style: none;
        border-bottom: 1px solid #ddd;
        width: 90px;
        padding-left: 20px;
        line-height: 20px;
    }
    .inputBox .item {
        border-style: none;
        border-bottom: 1px solid #ddd;
        width: 400px;
        margin-left: 50px;
        padding-left: 20px;
        line-height: 20px;
    }
    .todoList {
        list-style: none;
        padding: 10px 0;
        text-align: left;
    }
    .todoList li {
        display: flex;
        height: 50px;
        line-height: 50px;
        margin: 0.5rem 0;
        padding: 0 0.9rem;
        background: white;
        border-radius: 5px;
    }
    .removeBtn {
        margin-left: auto;
        font-size: 20px;
    }
    .removeBtn:hover {
        color: red;
    }
    .modal-footer {
        color: white;
    }
</style>
{% endblock %}

{% block content %}
<div id="app">
    <h1>ToDo</h1>
    <strong>오늘의 할 일</strong>
    <br>
    <!--CreateView 에서 연동되는 Template-->
    <form class="inputBox" action="." method="post">
        {% csrf_token %}
        <!--django model 의 field name 과 태그의 속성 name 은 같아야 한다.-->
        <input class="name" type="text" placeholder="이름" name="name">
        <input class="item" type="text" placeholder="할 일을 입력하세요~" name="todo">
        <button type="submit" class="btn btn-info btn-sm">ADD</button>
    </form>
    <!--ListView 에서 연동되는 Template-->
    <ul class="todoList">
        {% for todo in object_list %}
        <li>
            <span>{{ todo.name }}:: {{ todo.todo }}</span>
            <!--삭제 버튼을 클릭시 삭제하는 페이지로 이동하는 url-->
            <!--<button class="removeBtn"><a href="{% url 'todo:delete2' todo.id %}">&#x00D7</a></button>-->

            <!--삭제 버튼 클릭시 팝업 창 -->
            <button class="removeBtn" data-toggle="modal" data-target="#myModal"
                    data-id="{{todo.id}}" data-name="{{todo.name}}" data-todo="{{todo.todo}}">&#x00D7</button>
        </li>
        {% endfor %}
    </ul>

    <!--Modal-->
    <div class="modal" id="myModal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">정말 삭제 하시겠습니까?</h5>
                </div>
                <div class="modal-body">
                    body-text
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">취소</button>
                    <button type="button" class="btn btn-danger btn-sm"><a href="">삭제</a></button>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}

{% block extra-script %}
<script>
$('#myModal').on('show.bs.modal', function (event) {
    /* relatedTarget 의 변수명은 id, name, todo */
    var button = $(event.relatedTarget)
    var id = button.data('id')
    var name = button.data('name')
    var todo = button.data('todo')

    var modal = $(this)
    /* name 과 todo 는 modal-body 에 사용 */
    modal.find('.modal-body').text(name + '::: ' + todo)
                    /* id 는 a 태그의 href 요소의 url를 만드는데 사용한다. */
    modal.find('.modal-footer a').attr('href', '/todo/' + id + '/delete2/')
})
</script>
{% endblock %}

